
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java中线程池的使用（ThreadPoolExecutor） / iVAN</title>

    <meta name="description" content="java中线程池的使用（ThreadPoolExecutor） 一.为什么使用线程池: 1.降低资源消耗.主要指的是降低创建和销毁线程时产生的cpu资源消耗,线程池通过持续工作的线程执行不断分配的新任务,来减少频繁的线程创建与销毁. ##2.提高响应速度.同上 ##3.提高线程的可管理性.线程是稀缺资源,频繁的创建销毁,以及没有控制的大量创建,都会影响系统的稳定性.使用线程池可以统一分配,调优,监控资源. 二.如何创建线程池: new ThreadPoolExecutor(int corePoolSize, int maximumPoolSize, long">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java中线程池的使用（ThreadPoolExecutor）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>一.为什么使用线程池：</h1>
<h2>1.降低资源消耗。主要指的是降低创建和销毁线程时产生的cpu资源消耗，线程池通过持续工作的线程执行不断分配的新任务，来减少频繁的线程创建与销毁。</h2>
<p>##2.提高响应速度。同上<br />
 ##3.提高线程的可管理性。线程是稀缺资源，频繁的创建销毁，以及没有控制的大量创建，都会影响系统的稳定性。使用线程池可以统一分配，调优，监控资源。</p>
<h1>二.如何创建线程池：</h1>
<p>new ThreadPoolExecutor(int corePoolSize, int maximumPoolSize, long keepAliveTime,TimeUnit unit, BlockingQueue workQueue, ThreadFactory threadFactory,RejectedExecutionHandler handler);</p>
<h2>corePoolSize:</h2>
<p>线程池的基本大小，即在没有任务需要执行的时候线程池中运行的线程数量。只有在工作队列满了的情况下才会创建超出这个数量的线程。</p>
<h3>相关1:</h3>
<p>刚刚创建ThreadPoolExecutor的时候，线程并不会 立即启动，而是要等到有任务提交时才会启动。如果预先调用了prestartCoreThread()/prestartAllCoreThreads()，则会事先启动核心线程。</p>
<h3>相关2:</h3>
<p>考虑到keepAliveTime()和allowCoreThreadTimeOut()超市参数的影响，没有任务或者没有足够任务执行的时候，线程池中运行线程的数量（线程池的大小）小于等于corePoolSize。</p>
<h2>maximumPoolSize:</h2>
<p>线程池中允许的最大线程数，线程池中的当前运行线程数不会超过这个值，为了保证系统资源有控制的消耗。</p>
<h3>相关1:</h3>
<p>由于maximumPoolSize可以在运行中通过setMaximumPoolSize()来设置，所以可以通过largestPoolSize()方法来获得线程池曾经运行过的最大线程数量，来评估当前maximumPoolSize设置是否合适。</p>
<h2>keepAliveTime:</h2>
<p>当线程空闲后，保留的时间。用来在任务不繁忙的时候减少运行线程数量。在单任务时间较短，任务请求较频繁的情况下，可以适当延长保留存活时间来减少系统创建和销毁线程的开销。</p>
<h3>相关1:</h3>
<p>对于核心线程，默认一直保留存活，如果将allowCoreThreadTimeOut设置为true，则核心线程也接受keepAliveTime的约束。</p>
<h2>TimeUnit unit：</h2>
<p>用来修饰keepAliveTime的时间单位，可以为纳秒，毫秒，秒，分，小时，天等TimeUnit中的静态常量。</p>
<h2>BlockingQueue:</h2>
<p>线程安全的队列，用来存放排队的任务。</p>
<h3>相关1:</h3>
<p>此BlockingQueue的实现有：<br />
-&gt;ArrayBlockingQueue:基于数组结构的有届阻塞队列，FIFO<br />
-&gt;LinkedBlockingQueue:基于链表的阻塞队列，FIFO。吞吐量大于上者。静态工厂方法Executors.newFixedThreadPool()使用了这个队列<br />
-&gt;SynchronousQueue:一个不存储元素的阻塞队列。每个插入操作必须等到另一个线程调用移除操作，否则插入操作一直处于阻塞状态，吞吐量高于LinkedBlockingQueue.静态工厂方法Executors.newCachedThreadPool()使用了这个队列。<br />
-&gt;PriorityBlockingQueue:一个具有优先级的无限阻塞队列。</p>
<h2>ThreadFactory:</h2>
<p>用于设置创建线程的工厂，可以通过线程工厂给每个创建出来的线程设置更有意义的名字。</p>
<h2>RejectedExecutionHandler:</h2>
<p>当队列和线程池都满了之后的饱和策略。默认情况下是AbortPolicy,表示无法处理新任务时抛出异常。以下是JDK1.5提供的四种策略：<br />
-&gt;AbortPolicy:直接抛出异常<br />
-&gt;CallerRunsPolicy:只用调用者所在的线程来运行任务。<br />
-&gt;DiscardOldestPolicy:丢弃队列里最近一个任务，并执行当前任务。<br />
-&gt;DiscardPolicy:不处理，丢弃掉。<br />
-&gt;也可以根据应用场景需要来实现RejectedExecutionHandler接口自定义策略。如记录日志或持久化不能处理的任务。</p>
<h1>三.如何调用线程池:</h1>
<h2>1.通过execute(Runnable run)方法来执行任务：</h2>
<p>threadsPool.execute(new Runnable(){<br />
    @override<br />
    public void run(){<br />
        //code to run.<br />
    }<br />
});<br />
但是execute()方法没有返回值，无法获得任务执行的情况信息。</p>
<h2>2.通过submit()方法来提交执行任务：</h2>
<p>Future future=executor.submit(harReturnValueTask);<br />
try{<br />
    Object o=future.get();<br />
}catch(Exeception e){</p>
<p>}finally{<br />
    executor.shutdown();<br />
}<br />
submit()方法会返回一个future对象，通过future的get()方法，可以获得任务执行情况。get()方法会阻塞直到任务执行完毕。也可以使用get(long timeout, TimeUnit unit)来设置最长阻塞时间。</p>
<h1>如何关闭线程池：</h1>
<p>我们可以通过调用线程池的shutdown或shutdownNow方法来关闭线程池，它们的原理是遍历线程池中的工作线程，然后逐个调用线程的interrupt方法来中断线程，所以无法响应中断的任务可能永远无法终止。但是它们存在一定的区别，shutdownNow首先将线程池的状态设置成STOP，然后尝试停止所有的正在执行或暂停任务的线程，并返回等待执行任务的列表，而shutdown只是将线程池的状态设置成SHUTDOWN状态，然后中断所有没有正在执行任务的线程。<br />
只要调用了这两个关闭方法的其中一个，isShutdown方法就会返回true。当所有的任务都已关闭后,才表示线程池关闭成功，这时调用isTerminaed方法会返回true。至于我们应该调用哪一种方法来关闭线程池，应该由提交到线程池的任务特性决定，通常调用shutdown来关闭线程池，如果任务不一定要执行完，则可以调用shutdownNow。</p>
<p>今天困了，先写到这里，主要参考文章：<br /><a href="http://blog.csdn.net/scboyhj__/article/details/48805881" rel="external nofollow noreferrer">http://blog.csdn.net/scboyhj__/article/details/48805881</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 23:16:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/executor/" title="executor">executor</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b%e6%b1%a0/" title="线程池">线程池</a>, <a href="https://www.iamivan.net/tag/threadpool/" title="threadpool">threadpool</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java中线程池的使用（ThreadPoolExecutor）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5Q88z.html" rel="bookmark">以实例简介Java中线程池的工作特点&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么原因使我们不得不使用线程池? 个人认为主要原因是:短时间内需要处理的任务数量很多 使用线程池的好处: 1.减少在创建和销毁线程上所花的时间以及系统资源的开销 2.如不使用线程池,有可能造成系统创建大量线程而导致消耗完系统内存 以下是Java自带的几种线程池: 1.newFixedThreadPool  创建一个指定工作线程数量的线程池. 每当提交一个任务就创建一个工作线程,如果工作线程数量达到线程池初始的最大数,则将提交的任务存入到池队列中. 2.newCachedThreadPool 创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaXKXz.html" rel="bookmark">Java创建线程池两种不同方法的比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用java做抓取的时候免不了要用到多线程的了,因为要同时抓取多个网站或一条线程抓取一个网站的话实在太慢,而且有时一条线程抓取同一个网站的话也比较浪费CPU资源.要用到多线程的等方面,也就免不了对线程的控制或用到线程池.   我在做我们现在的那一个抓取框架的时候,就曾经用过java.util.concurrent.ExecutorService作为线程池,关于ExecutorService的使用代码大概如下: java.util.concurrent.Executors类的API提供大量创建连接池			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1G63z.html" rel="bookmark">JAVA创建线程池</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				线程池的作用: 线程池作用就是限制系统中执行线程的数量. 根据系统的环境情况,可以自动或 手动设置线程数量,达到运行的最佳效果:少了浪费了系统资源,多了造成系统拥挤效率不高.用线程池控制 线程数量,其他线程排队等候.一个任务执行完毕,再从队列的中取最前面的任务开始执行.若队列中没有等 待进程,线程池的这一资源处于等待.当一个新任务需要运行时,如果线程池中有等待的工作线程,就可以开 始运行了:否则进入等待队列. 为什么要用线程池: 减少了创建和销毁线程的次数,每个工作 线程都可以被重复利用,可执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44639z.html" rel="bookmark">Java中线程用法总结&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了Java中线程用法.分享给大家供大家参考.具体分析如下: 1.线程是基本调度单元.共享进程的资源,如内存和文件句柄.但有自己的pc(程序计数器),stack(线程栈)及本地变量 2.线程的优势: a) 充分利用多处理器 b) 可以简化模型.特定任务给特定线程.如servlets及rmi等框架. c) 对异步事件的简单处理.如socket,nio使用更复杂.而现在的操作系统支持更大数量的线程. d) 界面的更佳响应 3.内部锁:synchronized块.互斥.可重入(reentra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5N5Y7z.html" rel="bookmark">java newCachedThreadPool 线程池使用在什么情况下&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java newCachedThreadPool 线程池使用在什么情况下? newCachedThreadPool 再没有任务时会清空任务不占用资源,任务多时可以&quot;无限制&quot;的增加任务,那它和没线程池管理感觉区别就不大了呀--它到底应该怎么使用?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4NwZz.html" rel="bookmark">java中线程同步，线程让步，线程休眠的区别和联系是什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中线程同步,线程让步,线程休眠的区别和联系是什么 java中线程同步,线程让步,线程休眠的区别和联系是什么 线程的本质还是一个运行中的类, 解决方案 线程同步:是保证多线程安全访问竞争资源的一种手段,java中常用的是加锁机制即synchronized同步代码块实现的. 线程让步的方法是yield(),休眠方法是sleep().sleep()方法和yield()方法都是Thread类的静态方法,都会使当前处于运行状态的线程放弃CPU,把运行机会让给别的线程. 两者的区别在于:s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeokV0M.html" rel="bookmark">java中线程的问题~~~</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中线程的问题~~~ 高优先级的线程比低优先级的线程运行速度快,这句话对吗? ................................ 解决方案 优先级高只能说明多个线程抢占时间片时,优先级高的有更大的概率先得到时间片的概率大些,也就是高优先级的有大概率先分配运行.但这不是绝对的, 当处理器为多核时,优先级高的线程和优先级低的线程都有可以先执行. 解决方案二: 你说的两个线程只有在优先级上有区别还是有其他区别?如果没区别,这怎么比,约等于&quot;三年级的同学长得比一年级的同学好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NQljp.html" rel="bookmark">java中线程的执行问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中线程的执行问题 以上两张图片是&lt;JAVA多线程编程核心技术&gt;截图,以下是我的测试代码: 求大神指教这是为什么要线程执行完之后才能输出run end 解决方案 你应该调用Mythread的start()方法,而不是run()方法. myThread.start(); 你的程序调用了run()还是在主线程中执行,并没有新建一个线程来执行的. 关于线程的详细你可以多去阅读相关资料. 解决方案二: java 中线程执行顺序控制java 中线程执行顺序控制java 中线程执行顺序控制			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2wo9vM.html" rel="bookmark">浅析Java中线程的创建和启动&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 线程是一个程序内部的顺序控制流.cpu实际上在一个时间点上,只执行一个.只不过我们把cup分成了多个时间片,由于速度很快,我们看起来像是多个线程.就像你的时间分成几片,这样整体看来做事情有规律,效率就会高,何况是cup呢. 线程的创建和启动:      (1)定义Thread类的子类,并重写了该类的run()方法,该run()方法的方法就代表了线程需要完成的任务.因此把run()方法称为线程执行体      (2)创建Thread子类的实例,即创建了线程对象      (3)调用线程对象的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyXvbN.html" rel="bookmark" class="title">巧用DOS命令修复U盘文件错误</a>
					<div>
						我们平时在使用电脑时,基本上不会用到Dos命令.一般用户顶多了解一些简单的Dos命令,比如最经常的就是用ping命令来检测网络情况,今天小编教大家如何用chkdsk命令对U盘文件系统错误进行修复. 首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zenRAb.html" rel="bookmark" class="title">printf-下面的程序错在哪？ 为什么无论输入两个什么数，其输出结果都是0？</a>
					<div>
						问题描述 下面的程序错在哪? 为什么无论输入两个什么数,其输出结果都是0? .............. void main() { float min(float x,float y); float ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXdoLp.html" rel="bookmark" class="title">精华：AJAX开发简略 &lpar;第二部分&rpar;</a>
					<div>
						ajax|精华 七.AJAX开发 到这里,已经可以清楚的知道AJAX是什么,AJAX能做什么,AJAX什么地方不好.如果你觉得AJAX真的能给你的开发工作带来改进的话,那么继续看看怎么使用AJAX吧. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo3Wjb.html" rel="bookmark" class="title">Blogger Hack：Meta Data优化</a>
					<div>
						优化 Meta Data,这里指的是网页中&lt;head&gt;&lt;/head&gt;中间用来描述本页特性的一些信息.在Blogger系统中,因为模版可以完全定制,所以我们可以对Meta Dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrDw6z.html" rel="bookmark" class="title">网站运营：如何创新你的商业模式（一）</a>
					<div>
						网站运营 如何创新你的商业模式(一)   谈到创新,大多人都一头雾水,觉得太难了,觉得自己不行.其实并不是那么难,也不是你不行,只是你暂时不懂得创新的方法罢了.所以当你也在说创新难的时候,请你记住这句 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL4EZp.html" rel="bookmark" class="title">Photoshop可爱女孩相片&colon;暗蓝色调女孩图片</a>
					<div>
						素材图片背景部分较暗,非常适合暗色图片,如暗蓝色,暗紫色.处理的适合只需要调整可选颜色的黑色即可实现快速调色,然后再根据背景颜色协调好人物及局部颜色即可.原图   最终效果 [1] [2] [3] [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5436M.html" rel="bookmark" class="title">MC的控制</a>
					<div>
						控制 1.分别制作1立体小球.1箭头按钮和2个放大镜按钮(&quot;+&quot;和&quot;-&quot;)的元件,可根据自己喜好自行设计形状和样式:2.将上面制作的影片拖入到场景中,再复制三个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1VRap.html" rel="bookmark" class="title">微博营销 带来SKYCC组合营销软件的持续热销&quest;</a>
					<div>
						最近在网上看了这样一则新闻&lt;再借微博营销,SKYCC持续火爆热销&gt;,内容大致是在视频营销成功之后,SKYCC组合营销软件再次发力,巧借微博实现产品销量的持续增长. 一款产品的热销,仅仅只是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5a2np.html" rel="bookmark" class="title">老站长&OpenCurlyDoubleQuote;真心告白&rdquo;之SEO服务商选择的5个技巧</a>
					<div>
						草根站长可以说是现在站长人群中的主体,在大家的眼里,草根站长的确对的起&quot;草根&quot;两个字,为了排名可以不顾一切,各种优化作弊手法层出不穷,一点不顾及网站长远的发展,当然这也给很多不怀好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4mXwp.html" rel="bookmark" class="title">&period;NET Framework轻松处理XML数据&lpar;五&rpar;</a>
					<div>
						设计XMLReadWriter类 如前面所说,XMLreader和Writer是各自独立工作的:reader只读,writer只写.假设你的应用程序要管理冗长的XML文档,且该文档有不确定的数据.Re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2xdyM.html" rel="bookmark" class="title">ASP&period;NET Web Forms 4&period;0简介</a>
					<div>
						WebForms 4.0 提供了一些有针对性的增强,还包括一些新特性.本实验将讨论以下特性: 客户端 ID:开发人员现在可以管理会对所呈现客户端 ID 造成影响的控件 ID.Control 类现在提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElBEJz.html" rel="bookmark" class="title">Adobe Photoshop Lightroom快速修图技巧</a>
					<div>
						  1. 使用明亮度改善天空 在晴朗的日空下,你可能会觉得很容易拍出漂亮的蓝色天空.不幸的是,如果保证了处于阴影中的被摄体曝光准确,那么天空往往就会过曝,失去大量细节. 在Lightroom中,你可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kV24z.html" rel="bookmark" class="title">Office2010&colon;用文档导航窗格控制结构</a>
					<div>
						为了帮助用户轻松应对长篇文档的编辑工作,Word 2010提供了全新的文档导航窗格.在视图选项卡,显示选项组中,选中导航窗格复选框.在文档左侧,即可开启一个导航窗格. 导航窗格功能启用 用户可以通过单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaZ1JM.html" rel="bookmark" class="title">win7系统电脑开机引导错误解决方法</a>
					<div>
						  win7系统电脑开机引导错误解决方法           win7开机引导错提示一:&quot;HDD controller failue&quot; 硬盘控制器故障 故障分析:出现此种开机引导错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7O80M.html" rel="bookmark" class="title">Win8系统更换主题后桌面鼠标指针发生变化怎么办</a>
					<div>
						  方法如下: 1.在桌面空白处右键单击,选择个性化; 主题后桌面鼠标指针发生变化怎么办-&quot;&gt; 2.点击左侧的更改桌面图标; 3.在桌面图标设置里窗口中,取消勾选&quot;允许主题更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo776jb.html" rel="bookmark" class="title">win7系统玩游戏显卡温度过高怎么办</a>
					<div>
						  一般出现温度过高的问题有很多,比如散热模块出口受阻,无法进行散热也可能导致显卡温度过高,这时候我们可以对电脑进行清理灰尘来解决问题. 还有一种问题就是散热模块老化或者硅胶已损耗完,这种情况一般出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGn3dp.html" rel="bookmark" class="title">细数U盘量产后的一些重要作用</a>
					<div>
						  量产后比较常用的基本作用有: 修复功能:不是数据恢复,是对U盘底层硬件信息的恢复(非硬件损坏),使因为底层硬件信息受损电脑无法识别的U盘重新被电脑识别出来. 分区功能:把一个U盘分成数个移动盘,更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8yAvp.html" rel="bookmark" class="title">win7旗舰版系统的库功能文件乱只能这样处理</a>
					<div>
						windows 7旗舰版引入库的概念并非传统意义上的用来存放用户文件的文件夹,它还具备了方便用户在计算机中快速查找到所需文件的作用.在Windows XP时代,文件管理的主要形式是以用户的个人意愿,用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Q0Zz.html" rel="bookmark" class="title">将studio项目 转换为eclipse项目</a>
					<div>
						总会有些奇怪的事情,比如,有的人就有将studio项目 转换为eclipse项目的需求 首先,不要因为编译原因而放弃.studio项目是完全可以转换成eclipse的 本站的开源代码板块有很多项目都是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7jXXz.html" rel="bookmark" class="title">HTML中onchange怎么用&quest;</a>
					<div>
						问题描述 HTML中onchange怎么用? 解决方案 解决方案二:你的需求是什么?而不在于onChange事件怎么用?onChange=&quot;yourJavaScript()&quot;解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd09lb.html" rel="bookmark" class="title">百度以分成模式进入 iOS，完成移动搜索布局</a>
					<div>
						据彭博社报道,百度在今年 WWDC 2012 进入 iOS 的方式是沿用其成熟的分成模式,而非 Google 采用的&quot;进场费&quot;模式.百度副总裁王劲在接受彭博电话采访时没有透露具体的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7nJgp.html" rel="bookmark" class="title">生意场上惨痛经历的骗术总结</a>
					<div>
						[案例导读]商界同行受骗经历现身说法,对骗子公司的诈骗手法做了很独到的归纳,生意人必看--[案例正文]虽然已经和几家骗子公司亲密接触过了,可今天下午还是死不悔改,又应一家深圳投资公司的要求写了几份资料 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlvNep.html" rel="bookmark" class="title">bigdecimal-java BigDecimal 最多可以保留几小数</a>
					<div>
						问题描述 java BigDecimal 最多可以保留几小数 java BigDecimal 最可以保留几小数,小数点之后最多可以保留几位,今天计算利息的时候 总是相差几角钱 解决方案 32位,Big ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A1DVz.html" rel="bookmark" class="title">OpenNMS 1&period;9&period;92发布 网络系统监控管理平台</a>
					<div>
						OpenNMS 1.9.92这个候选发行版包含了大量的bug修正,包括代码清理,用户界面​​更新,更多Linkd的运行,及一些http://www.aliyun.com/zixun/aggregati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnoGPM.html" rel="bookmark" class="title">Vmware将失去服务器虚拟化优势？</a>
					<div>
						当你在思考虚拟化市场时,一些调研结果显示虚拟化市场已经发生了潜移默化的改变.这些最新的研究结果不仅让一些有趣的新数字浮出水面,而且他们还提出了一些值得一问的新问题. 来自第三方虚拟化备份,灾难恢复和管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0v1jp.html" rel="bookmark" class="title">企业需要的不仅仅只是网站优化</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 随着网站优化带给企业的利润越来越大,继而越来越多的企业意识到网站优化的作用了,很多企业将自己的网络推广工作都外包给网站优化公司去做,也有不少企业自己组建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwNK1M.html" rel="bookmark" class="title">《精通软件性能测试与LoadRunner最佳实战》&mdash;第2章2&period;10节系统性能调优</a>
					<div>
						2.10 系统性能调优 精通软件性能测试与LoadRunner最佳实战 性能测试分析人员经过对结果的分析以后,有可能提出系统存在性能瓶颈.这时相关开发人员.数据库管理员.系统管理员.网络管理员等就需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xVEdb.html" rel="bookmark" class="title">NEC解决方案助力中国建设智慧城市</a>
					<div>
						技术驱动智慧城市创新 --NEC解决方案助力中国智慧城市建设 2015年,NEC通过在中国市场的辛勤耕耘获得了丰厚的成果,其中最大的收获就在于通过提供各种IT解决方案和发展相关业务真正地参与到了中国社 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXAveb.html" rel="bookmark" class="title">智能家居入口&OpenCurlyDoubleQuote;乱战&rdquo; 2016年都有哪些？</a>
					<div>
						智能家居在我国的发展已经有十多年的时间,这期间我国的智能家居渡过了概念期.开创期.徘徊期,目前产业已经正式进入到发展初期.自从智能家居的概念普及后,智能家居的入口之争可以说&quot;根本就停不下来& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkGadM.html" rel="bookmark" class="title">js初始化验证实例详解&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js初始化验证的方法.分享给大家供大家参考,具体如下: &lt;script type=&quot;text/javascript&quot;&gt; var Book = functi ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
